Description

So for plugins that use

app/views/settings/_setting.”

for the site with plugin configuration have a collision caused by having the same path. This path is configured via
settings :default => {'bbb_server' => "}, :partial => 'settings/settings'

as an example.

multiple plugins use this (the older CAS one and the newer bigbluebox plugin for example) do this. Because of this you can not get
to the BBB configuration as the CAS _settings partial loads instead.

There are two options to fix this.
The first is to rename
app/views/settings/_setttings.”

to
app/views/settings-bbb/_settings.*
and

change the

settings =>

as needed

The other option is to change the name of the partial and the settings => as needed.
I have done the first and not tested the latter although it maybe the better solution.

SUGGESTION:
Note in the plugin development documentation the preferred way of doing this.

History

#1 - 2010-12-10 02:39 - Mischa The Evil

- Category set to Documentation

#2 - 2011-11-18 18:57 - Rocco Stanzione

Surely it's possible to prevent this conflict within Redmine? I've run into this several times and only just now realized the cause of the problem. +1.

#3 - 2013-05-08 10:08 - Jean-Baptiste Barth
- Status changed from New to Closed

- Assignee set to Jean-Baptiste Barth

Added a note in Plugin_Tutorial, and | also think there should be a visible warning about that, so | opened #14008 for future implementation. | close
this one.
https://www.redmine.org/projects/redmine/wiki/Plugin_Tutorial
https://www.redmine.org/issues/14008
http://www.tcpdf.org

